> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agency Company

> Create a new company under the agency. Note: Requires Agency API Key.



## OpenAPI

````yaml POST /agency/company
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agency/company:
    post:
      summary: Create Agency Company
      description: 'Create a new company under the agency. Note: Requires Agency API Key.'
      requestBody:
        description: Company creation details
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgencyCompanyCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AgencyCompanyCreateMultipart'
      responses:
        '200':
          description: Company created successfully
          content:
            application/json:
              schema:
                type: string
                description: Company ID
        '400':
          description: Bad Request - Company limit reached or missing required fields
        '401':
          description: Unauthorized - Invalid or missing agency API key
        '403':
          description: Forbidden - Requires agency admin access
      security:
        - AgencyApiKey: []
components:
  schemas:
    AgencyCompanyCreate:
      type: object
      required:
        - name
        - email
        - address
        - city
        - state
        - zip_code
        - country
      properties:
        name:
          type: string
        email:
          type: string
        address:
          type: string
        city:
          type: string
        state:
          type: string
        zip_code:
          type: string
        country:
          type: string
        user_email:
          type: string
          description: Optional - assigns existing user as owner
    AgencyCompanyCreateMultipart:
      type: object
      required:
        - name
        - email
        - address
        - city
        - state
        - zip_code
        - country
      properties:
        name:
          type: string
        email:
          type: string
        address:
          type: string
        city:
          type: string
        state:
          type: string
        zip_code:
          type: string
        country:
          type: string
        logo:
          type: string
          format: binary
          description: Company logo file
        user_email:
          type: string
          description: Optional - assigns existing user as owner
  securitySchemes:
    AgencyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Agency API Key

````